// Here is the groovy file for screen elements
info("StableJava")

mainMenu {
    enabled = true

    splashText {
        enabled = false
        splashesEnabled = false

    }
    clearAllButtons()

    label {
        position {
            x = 2
            y {
                it - 10
            }
        }

        text = literal("StableJava 1.0.5")
        shadow = true
    }

    button {
        position {
            x { it / 2 + 3 }
            y = 203
        }
        width = 100
        height = 20

        text = literal("Mods")
        onClicked = modMenu()
    }
    button {
        position {
            x { it / 2 - 101 }
            y = 203
        }
        width = 100
        height = 20

        text = literal("Languages")
        onClicked = language()
    }
    button {
        position {
            x { it / 2 - 101 }
            y = 131
        }
        width = 204
        height = 20

        text = translatable("menu.singleplayer")
        onClicked = singleplayer()
    }
    button {
        position {
            x { it / 2 - 101 }
            y = 155
        }
        width = 204
        height = 20

        text = translatable("menu.multiplayer")
        onClicked = multiplayer()
    }
   /* button {
        position {
            x { it / 2 + 110 }
            y = 159
        }
        width = 100
        height = 20

        text = literal("F5")
        onClicked = reloadCts()
    }
    */
    button {
        position {
            x { it / 2 + 3 }
            y = 227
        }
        width = 100
        height = 20

        text = translatable("menu.quit")
        onClicked = exit()
    }
    button {
        position {
            x { it / 2 - 101 }
            y = 227
        }
        width = 100
        height = 20

        text = translatable("menu.options")
        onClicked = options()
    }
    button {
        position {
            x { it / 2 - 101 }
            y = 179
        }        
        width = 204
        height = 20

        text = literal("Official Project Website")
        onClicked = url("https://www.curseforge.com/minecraft/modpacks/stablejava")
    }
}